<?php

use Mockery as m;
use Bydedi\Container\ServiceContainer;
use Symfony\Component\Templating\EngineInterface;

class I18nEditorTest extends PHPUnit_Framework_TestCase
{
    protected function setUp()
    {
        parent::setUp(); // TODO: Change the autogenerated stub

        $this->serviceContainer = m::mock('Bydedi\Container\ServiceContainer');
    }


    public function testCanListTranslatableColumns()
    {
        $templateEngine = m::mock(EngineInterface::class);
        $templateEngine
            ->shouldReceive('render')
            ->andReturn('LIST')
        ;

        $connection = m::mock(Bydedi\Database\ConnectionInterface::class);
        $settings = [
            'table_name' => 'text',
            'text_columns' => [
                'value',
            ],
            'lang_column' => 'lang',
        ];
        $i18nEditor = new \Bydedi\I18nEditor\I18nEditor($templateEngine, $connection, $settings);

        $this->assertEquals('LIST', $i18nEditor->index());
    }
}
